# empty-debuginfo-package
%define debug_package %{nil}

%define git_ver git20181122
%define ver_fpgui 1.5

Summary: fpGUI's Visual User Interface Designer
Name: uidesigner
Version: 1.5
Release: %mkrel -c %{git_ver} 3
License: LGPLv2 with static linking exception
Group: Development/Tools
Url: https://fpgui.sourceforge.net/
Source0: https://sourceforge.net/projects/fpgui/files/fpGUI/1.4.1/fpgui_src_%{version}_%{git_ver}.tar.gz
Patch0: %{name}-1.5-mga-translateresourcestrings.patch
Requires: fpgui
BuildRequires: fpgui
BuildRequires: gettext

%description
fpGUI's Visual User Interface Designer. It is lightweight, fast
and very flexible. Unlike most visual form designers in the Pascal
world, visual form designer generates real source code inside the
*.pas units. No extra *.dfm, *.lfm etc files to keep track off.

%prep
%setup -q -n fpgui-%{ver_fpgui}
%patch0 -p1
pushd %{name}
# fix for https://sourceforge.net/p/fpgui/bugs/12 (workaround)
sed -i -e "s|Ind(1) + 'SysUtils, Classes, fpg_base, fpg_main, fpg_form;' + LineEnding + LineEnding +|Ind(1) + 'SysUtils, Classes, fpg_base, fpg_main, fpg_form, fpg_label, fpg_edit, fpg_memo, fpg_button, fpg_checkbox,' + LineEnding +\n    Ind(1) + 'fpg_radiobutton, fpg_combobox, fpg_popupcalendar, fpg_listbox, fpg_grid, fpg_panel, fpg_progressbar, fpg_trackbar,' + LineEnding +\n    Ind(1) + 'fpg_listview, fpg_tree, fpg_tab, fpg_gauge, fpg_editbtn, fpg_colorwheel, fpg_splitter, fpg_hyperlink;' + LineEnding + LineEnding +|g" ./vfd_file.pas
popd

%build
pushd %{name}
fpc -Xs -XX -CX ./%{name}.lpr
popd
# build languages
pushd %{name}/languages
for lang in `ls |grep "%{name}.*..po"|cut -d "." --fields=2|grep -v en`
do
msgfmt %{name}.$lang.po -o %{name}.$lang.mo
done
popd

%install
mkdir -p %{buildroot}%{_bindir}
cp -f ./%{name}/%{name} %{buildroot}%{_bindir}/
install -Dm 0644 %{name}/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -Dm 0644 ./%{name}/icon_32.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
# install languages
pushd %{name}/languages
for lang in `ls |grep "%{name}.*..po"|cut -d "." --fields=2|grep -v en`
do
mkdir -p %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES
cp -f %{name}.$lang.mo %{buildroot}%{_datadir}/locale/$lang/LC_MESSAGES/%{name}.mo
done
popd

%find_lang %{name}

%files -f %{name}.lang
%doc %{name}/readme.txt *.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Fri Dec 02 2022 danf <danf> 1.5-0.git20181122.3.mga9
+ Revision: 1914750
- Switch URLs from http: to https:
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.5-0.git20181122.2.mga8
+ Revision: 1520516
- Mageia 8 Mass Rebuild

* Mon Nov 26 2018 alexl <alexl> 1.5-0.git20181122.1.mga7
+ Revision: 1335166
- the latest git snapshot
- del upstreamed files
- add patch to use MO files instead of PO files from current dir
- install binary file in /usr/bin

* Wed Nov 21 2018 alexl <alexl> 1.4.1-1.mga7
+ Revision: 1332616
- version 1.4.1
- do not obsolete
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.2-3.mga6
+ Revision: 950831
- Mageia 6 Mass Rebuild

* Sun Nov 23 2014 alexl <alexl> 1.2-2.mga5
+ Revision: 798502
- changed GenericName

* Sat Oct 18 2014 alexl <alexl> 1.2-1.mga5
+ Revision: 783742
- finished creating resourcestrings (resourcestrings.patch)
- fixed selected form name (selected-form-name.patch)
- updated Russian translation (fpgui.ru.po) and deleted deprecated local_ru.sh
- added GenericName in desktop file
- version 1.2

* Wed Oct 15 2014 umeabot <umeabot> 1.0-3.mga5
+ Revision: 739681
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-2.mga5
+ Revision: 690030
- Mageia 5 Mass Rebuild

* Mon Apr 14 2014 alexl <alexl> 1.0-1.mga5
+ Revision: 614165
- imported package uidesigner

